<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__l2cap__config__param__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_l2cap_config_param_t</compoundname>
    <includes local="no">cy_ble_stack.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__l2cap__config__param__t_1a6abcea022b88636c4ac985554e6e68a1" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_l2cap_config_param_t::l2capBufferPerConn</definition>
        <argsstring />
        <name>l2capBufferPerConn</name>
        <briefdescription>
<para>This specifies L2CAP stack queue depth per connection for data tx. </para>        </briefdescription>
        <detaileddescription>
<para>The application must provide heap memory based on the following calculation: l2capBufferPerConn * maxBleConnections * CY_BLE_L2CAP_QUEUE_ELEMENT_SIZE </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1428" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1428" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Configuration structure for the L2CAP buffer for data transmission. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="1430" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1421" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1422" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__l2cap__config__param__t_1a6abcea022b88636c4ac985554e6e68a1" virt="non-virtual"><scope>cy_stc_ble_l2cap_config_param_t</scope><name>l2capBufferPerConn</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>